* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

/* Background Design for Start Page */

.bg {
  background: url("https://media.wired.com/photos/5a593a7ff11e325008172bc2/125:94/w_2393,h_1800,c_limit/pulsar-831502910.jpg");
  height: 100vh;

  /* Add the blur effect */

  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);

  /* Center and scale the image nicely */

  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

/*------------------- General Designs -------------------*/
.fcontainer {
  width: 90%;
  max-width: 780px;
  margin: auto;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;

  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  border-radius: 4px;

  background: #ffffffba;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 12px 28px 0px,
    rgba(0, 0, 0, 0.1) 0px 2px 4px 0px,
    rgba(255, 255, 255, 0.05) 0px 0px 0px 1px inset;
}

.fcontainer h1 {
  font-size: 2rem;
  color: #0f172a;
  margin: 4rem;
  margin-bottom: 4rem;
}

.btns {
  margin: auto;
  width: 80%;
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
}

.options {
  display: flex;
  flex-direction: column;
}

.modeImg {
  max-width: 200px;
  max-height: 200px;
  overflow: hidden;
  border-radius: 6px;

  display: flex;
  justify-content: center;
  align-items: center;

  /* cursor: pointer; */
}

.cursor {
  position: absolute;
  height: 30px;
  pointer-events: none;
  transform: translate(-50%, -50%);
  z-index: 2;
  transition: 0.3s transform ease;
  transform-origin: 100% 100%;
}
.modeImg img {
  width: 100%;
  transition: 0.1s;
}

.modeImg img:hover {
  scale: 105%;
}

.btns button {
  margin: 4rem;
  margin-top: 2rem;
  padding: 0.8em 1.8em;
  border-radius: 4px;
  border: #000000 2px solid;
  background: transparent;
  /* cursor: pointer; */
}
.btns button a {
  color: #000000;
  text-decoration: none;
}

.btns button:hover {
  scale: 96%;
  transition: 0.1s;
}

/*------------------- Controls Page -------------------*/

.controlsContainer {
  margin-top: 10%;
}
.instructions {
  width: 90%;
  margin: auto;
}
.instructions h3 {
  color: #334155;
  margin: 4rem 0;
  text-align: center;
  font-size: 1.2rem;
}
.instructions p {
  color: #000000;
  font-size: 1.1rem;
}
.instructions ul {
  width: 50%;
  margin: auto;
}
.instructions ul li {
  display: flex;
  justify-content: space-between;
  align-items: center;

  margin-bottom: 1.2rem;
}

.instructions ol {
  width: 80%;
  margin: auto;
}
.instructions ol li {
  display: flex;
  justify-content: space-between;
  align-items: center;

  margin-bottom: 1.2rem;
}

/* Keyboard Key Designs */
.keys {
  color: #f1f5f9;
  background-color: #1e293b;

  font-size: 1.25rem;
  padding: 0.3em 0.6em;
  width: 45px;

  border-radius: 4px;
}
